%define module pyasn1

Summary:	ASN.1 tools for Python
Name:		python-%{module}
Version:	0.1.9
Release:	3
License:	BSD
Group:		Development/Python
Url:		http://pyasn1.sourceforge.net/
Source0:	http://downloads.sourceforge.net/pyasn1/pyasn1-%{version}.tar.gz
BuildRequires:	pkgconfig(python)
Provides:	pyasn1 = %{EVRD}
Conflicts:	pyasn1 < 0.1.9-2
Obsoletes:	pyasn1 < 0.1.9-2
BuildArch:	noarch

%description
This project is dedicated to implementation of ASN.1 types (concrete syntax)
and codecs (transfer syntaxes) for Python programming environment. ASN.1
compiler is planned for implementation in the future.

%files
%dir %{py_puresitedir}/%{module}/
%{py_puresitedir}/%{module}/*
%{py_puresitedir}/%{module}-*.egg-info

%pretrans
if [ -d /usr/lib/python2.7/site-packages/pyasn1-0.1.9-py2.7.egg-info ]; then
  rm -rf /usr/lib/python2.7/site-packages/pyasn1-0.1.9-py2.7.egg-info
fi

#----------------------------------------------------------------------------

%package -n python3-%{module}
Summary:	ASN.1 tools for Python
Group:		Development/Python
BuildRequires:	pkgconfig(python3)

%description -n python3-%{module}
This project is dedicated to implementation of ASN.1 types (concrete syntax)
and codecs (transfer syntaxes) for Python programming environment. ASN.1
compiler is planned for implementation in the future.

%files -n python3-%{module}
%dir %{py3_puresitedir}/%{module}/
%{py3_puresitedir}/%{module}/*
%{py3_puresitedir}/%{module}-*.egg-info

#----------------------------------------------------------------------------

%prep
%setup -qn %{module}-%{version}

cp -a . %{py3dir}

%build

%install
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot}

pushd %{py3dir}
PYTHONDONTWRITEBYTECODE= %__python3 setup.py install --root=%{buildroot}
popd

%changelog

* Tue Jul 19 2016 Denis Silakov <dsilakov@gmail.com> 0.1.9-3
- (a242eda) Fix removal pf old pyasn1


